
QGIS Application - Bug report #16552

Inserting data on version views not working in 2.18 (OK in 2.14)

2017-05-15 07:00 PM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24458

Description

    -  create a PostGIS DB

    -  create a simple geometric table

    -  DB Manager > Table > Verioning

    -  add the view to the canvas

    -  start editing

    -  insert a feature

    -  Commit errors:

ERROR: 1 feature(s) not added.

Provider errors:

PostGIS error while adding features: ERRORE:  non è possibile eseguire INSERT RETURNING sulla relazione "version_current" 

NOTA: È necessaria una regola ON INSERT DO INSTEAD non condizionale con una clausola RETURNING.

Which translates approx to:

ERROR: cannot perform

INSERT RETURNING on relation "version_current" 

HINT: You need an unconditional ON INSERT DO INSTEAD rule with a

RETURNING clause.

The same operation on the same view works smoothly on QGIS 2.14.

Related issues:

Related to QGIS Application - Bug report # 16083: problem with ON INSERT TO .... Closed 2017-01-16

History

#1 - 2017-05-15 07:01 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-05-16 10:06 AM - Jürgen Fischer

- Resolution set to duplicate

#3 - 2017-05-16 10:07 AM - Giovanni Manghi

- Status changed from Open to Closed

#4 - 2017-05-16 10:07 AM - Jürgen Fischer

- Status changed from Closed to Open
- Resolution deleted (duplicate)

#5 - 2017-05-16 10:08 AM - Jürgen Fischer

- Related to Bug report #16083: problem with ON INSERT TO ... DO INSTEAD postgres rules  added

#6 - 2017-05-16 10:37 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:8b263e4cc and commit:3f7f95ee2
